OpenCascade - from multiple repository install weird - how to correct to get to run properly

hi there
I have being trying to install opencasade all morning and it being giving problems opensuse 13.2 64- but i seam to have figured it out. you have several issues so you can pass the info on to the maintainers of opencascade for opensuse

|| [TABLE]
|—|
[TR]
[TD]| Alternate Version| Installed Version|
| Version:| 6.9.0-7.11| 6.9.0-7.11|
| Build Time:| Tue 25 Aug 2015 10:28:52 PM CDT| Tue 25 Aug 2015 10:28:52 PM CDT|
| Install Time:|| Fri 11 Sep 2015 11:35:52 AM CDT|
| Package Group:| Productivity/Graphics/CAD| Productivity/Graphics/CAD|
| License:| LGPL-2.1 with additional exception| LGPL-2.1 with additional exception|
| Installed Size:| 633.1 MiB| 633.1 MiB|
| Download Size:| 116.7 MiB| 0 B|
| Distribution:|||
| Vendor:| obs://build.opensuse.org/home:polyconvex| obs://build.opensuse.org/home:polyconvex|
| Packager:|||
| Architecture:| x86_64| x86_64|
| Build Host:|||
| URL:| http://www.opencascade.org/| http://www.opencascade.org/|
| Source Package:| OpenCASCADE-6.9.0-7.11| OpenCASCADE-6.9.0-7.11|
| Media No.:|||
| Authors:|||

[/TD]
[/TR]
[TR]
[TD][/TD]
[TD][/TD]
[/TR]
[TR]
[TD][/TD]
[TD][/TD]
[/TR]
[TR]
[TD][/TD]
[TD] all vendors have the same issue [/TD]
[/TR]
[TR]
[TD][/TD]
[TD][/TD]
[/TR]
[TR]
[TD][/TD]
[TD][/TD]
[/TR]
[/TABLE]

  1. when you install opencascade the first problem is your the run icon is linked to opt/opencasdade/bin/drawexe that is incorrect it suppose to be opt/opencascade/draw.sh

  2. the second problem - you have no pluggins in opt/opencascade/src - easily correctable you have to download the windows version install it and then copy over all the missing directories and incolmplete directories
    IE:
    opt/opencascade/src
    opt/opencascade/test
    opt/opencascade/dox
    opt/opencascade/sample

  3. third problem all your libaries are listed wrong for the program to work ie /opt/opencascade/lib64 all the library have an extra .0 you have to go through all of them and rename them ie: libFWOSPlugin.so.0 > libFWOSPlugin.so. now there is probably and easier way to to this but once you have them renamed - reinstall the program again and every will work afterwards.

okay hope that helps anyone struggling to get opencascade to work for them

On 2015-09-11 19:26, sash99 wrote:
> Vendor:
> obs://build.opensuse.org/home:polyconvex
> obs://build.opensuse.org/home:polyconvex

That’s a home repo, which often are experiments of somebody.
You found problems with it, so you yave to tell that person.


Cheers / Saludos,

Carlos E. R.

(from 13.1 x86_64 “Bottle” (Minas Tirith))

no worries - I tried from several repos all have the same issue ie:://build.opensuse.org/science
all the newest version of opencascade 6.9.0 - *** and require the same work around … just passing the around the info

Hi
Your problem appears to be not installing the opencascade-devel package. The shared library naming is correct somelib.0.* the devel package contains the somelib.so files which is correct and the samples, src, etc in /opt/OpenCASCADE…

thank you - did not know the opencascade devel was a require prerequisite, one would of thought it would install automatically if it is required for it to function properly.

On 2015-09-12 00:26, sash99 wrote:
>
> thank you - did not know the opencascade devel was a require
> prerequisite, one would of thought it would install automatically if it
> is required for it to function properly.

Your assumption is correct.

It is a packaging error somewhere: either require the devel package, or
sort the files differently.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

Hi
No, somelib.so files belong in the development package likewise development files and development examples.

If you feel it’s an error, raise a bug or branch the package with your suggested changes along with recommendations or requires.

https://bugzilla.opensuse.org/enter_bug.cgi?classification=7340&product=openSUSE.org&component=3rd%20party%20software&assigned_to=lars.vogdt@suse.com&short_desc=Education/OpenCascade:%20Bug

We don’t have maintainer for opencascade, so if you want to help - welcome.